summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-11 07:52:47 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-11 07:52:47 +0200
commit6a22ec4ae46d8a64383735f13d1faed2ab6b3ffa (patch)
treed93b368757116d91687089c35e74e5e4c4f83fac
parentdev-ruby/hiera-eyaml-plaintext: add ruby23 (diff)
downloadgentoo-6a22ec4ae46d8a64383735f13d1faed2ab6b3ffa.tar.gz
gentoo-6a22ec4ae46d8a64383735f13d1faed2ab6b3ffa.tar.bz2
gentoo-6a22ec4ae46d8a64383735f13d1faed2ab6b3ffa.zip
dev-ruby/activeresource: add 4.1.0
Package-Manager: portage-2.2.28
-rw-r--r--dev-ruby/activeresource/Manifest1
-rw-r--r--dev-ruby/activeresource/activeresource-4.1.0.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/activeresource/Manifest b/dev-ruby/activeresource/Manifest
index cb8fafef2f9..6189cda75a3 100644
--- a/dev-ruby/activeresource/Manifest
+++ b/dev-ruby/activeresource/Manifest
@@ -1,2 +1,3 @@
DIST activeresource-4.0.0.tgz 69142 SHA256 b2f8094b56c589193fa9c275e4a970fdcd4eb7e7885c8a7a12c86eda6c8d2f37 SHA512 bad94922b7125f79988fb8c6694d6a0370ff1271b47d031e1c249441079e98f75a8069602c1eebf2ec8d7e28aab21b0ca42502c79fe06f46dfa5d42659ff79ab WHIRLPOOL 04120c0a81e140435194ae28a98b4c2ba69e3ef663b7fbf02783839b842c92db70742e4c5d204168dfe4a28caac8d3a8d4c2aea81842959819590544b648d867
+DIST activeresource-4.1.0.tgz 73640 SHA256 46538064c998a508af10ede7484c75b45b357974916f7423359a67cc100c0a66 SHA512 13e93245e16c4515cf1e949e200461e6eea464b9f801e0064c613fdbdad7ad82e1059c2cdab10a8a0850516e1684eaa7ec6895a423bb6f4b4d04da3f5078bde6 WHIRLPOOL b26d4fac3d0cd3e01e4a48ab4a24ca55caddeee4160496e269c89eabd2be90d3a71e13428862d0e4f1927e50fae8ec2d325574b1f3fecb1c389d9236f5d3dad8
DIST rails-3.2.22.2.tgz 3571822 SHA256 6aaef5723f3a409d057ace5500f1743168bde8f45114d9b5d861bb6e05444356 SHA512 b0c1817164168e2b8ae5b748dd1dd88097c2047d2e2eb31e403a5b865a1e50c43f8841a0e60ccdda6d5a859bba9acdfb06462cb8ba93a3e9ecc57dc349f8be13 WHIRLPOOL 8f5e674020a4c00a9a5da6e2e25aceb408ccb01f8adce74128a99cbb602d08da31de44b496a42d86bbf3887830785bfb961c95231d98bb1ce5d17755741dd3e1
diff --git a/dev-ruby/activeresource/activeresource-4.1.0.ebuild b/dev-ruby/activeresource/activeresource-4.1.0.ebuild
new file mode 100644
index 00000000000..0da5bad1836
--- /dev/null
+++ b/dev-ruby/activeresource/activeresource-4.1.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activeresource.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Think Active Record for web resources"
+HOMEPAGE="http://rubyforge.org/projects/activeresource/"
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/activesupport-4*:*
+ =dev-ruby/activemodel-4*:*
+ >=dev-ruby/rails-observers-0.1.2:0.1"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.13.0:0.13
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ rm Gemfile || die "Unable to remove Gemfile"
+}